Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Class LifecycleManagementImpl

`java.lang.Object
oracle.ovs.api.LifecycleManagementImpl`

All Implemented Interfaces:
  LifecycleManagement

      public class LifecycleManagementImpl

extends java.lang.Object
implements LifecycleManagement

VirtualMachineManagement Implementation. To Impl these functions: these functions: pause/unpause/powerOn/powerOff/delete/reboot/suspend/resume/save as template/query Virtual Machine.

Constructor Summary
`LifecycleManagementImpl()`

Method Summary
`VirtualDisk` | `addDisk(VirtualMachine virtualMachine, DiskConfig diskConfig)` Creates a new disk image on the server pool, and attaches it to the virtual machine.
`VirtualNetworkCard` | `addNIC(VirtualMachine virtualMachine, NICConfig nicConfig)` Adds a new network interface card to the virtual machine.
`void` | `addSharedDisk(VirtualMachine virtualMachine, SharedDiskResource disk)` Attaches a Shared Disk resource available on the server pool.
`void` | `addSharedDisk(VirtualMachine virtualMachine, SharedDiskResource disk, HardDriveType type, java.lang.String frontEndName)` Attaches a Shared Disk resource which is available on the server pool.
`void` | `addSharedDisk(VirtualMachine virtualMachine, SharedDiskResource disk, HardDriveType type, java.lang.String frontEndName, DiskMode mode)` Attaches a Shared Disk resource to a virutal machine
`void` | `attachCD(VirtualMachine virtualMachine, CDConfig cdConfig)` Attach a CD to the virtual machine.
`void` | `attachCDtoVM(VirtualMachine virtualMachine, CdConfig cdConfig)` Attach a CD to the virtual machine.
`void` | `attachDisk(VirtualDisk disk)` Attaches a disk (previuosly detached) to the virtual machine.
`void` | `attachDisk(VirtualDisk disk, HardDriveType type, java.lang.String frontEndName)` Attaches a disk to the virtual machine
`void` | `attachDisk(VirtualDisk disk, HardDriveType type, java.lang.String frontEndName, DiskMode mode)` Attaches a disk to a virutal machine
`void` | `attachNIC(VirtualNetworkCard nic)` Attach a network interface card to a virtual machine
`void` | `attachSharedVirtualDisk(VirtualMachine virtualMachine, SharedVirtualDisk sharedDisk)` Attaches a Shared Disk resource available on the server pool.
`void` | `attachSharedVirtualDisk(VirtualMachine virtualMachine, SharedVirtualDisk disk, HardDriveType type, java.lang.String frontEndName)` Attaches a Shared Disk resource which is available on the server pool.
`void` | `attachSharedVirtualDisk(VirtualMachine virtualMachine, SharedVirtualDisk disk, HardDriveType type, java.lang.String frontEndName, DiskMode mode)` Attaches a Shared Disk resource to a virutal machine
`void` | `changeNetworkType(VirtualMachine vm, NetworkType type)` Change the network type inside the virtual machine
`VirtualMachine` | `clone(CloneVmConfig conf)` Clone a virutal machine, using an available virtual machine on the server pool.
`java.util.Map` | `clonePrerequisite(CloneVmConfig conf)`
`void` | `configNIC(java.lang.Long imgId, VirtualNetworkCard nic)` Edit a network interface card in the virtual machine.
`VirtualMachine` | `createVM(ISOVMConfig conf)` Creates a new virtual machine, using an available ISO Images resource on the server pool.
`VirtualMachine` | `createVM(PXEVMConfig pxeVMConfig)` Deprecated.
`VirtualMachine` | `createVM(TemplateVMConfig templateVMConfig)` Creates a new virtual machine, using an available Oracle VM Template resource on the server pool.
`VirtualMachine` | `createVmBasedOnISO(ISOVmConfig conf)` Creates a new virtual machine, using an available ISO Images resource on the server pool.
`VirtualMachine` | `createVmBasedOnPXE(PXEVMConfig pxeVMConfig)` Creates a new virtual machine (configured to use PXE boot mechanism) on the server pool.
`VirtualMachine` | `createVmBasedOnTemplate(TemplateVmConfig templateVMConfig)` Creates a new virtual machine, using an available Oracle VM Template resource on the server pool.
`java.util.Map` | `createVMPrerequisite(ISOVMConfig conf)`
`java.util.Map` | `createVMPrerequisite(PXEVMConfig pxeVMConfig)`
`java.util.Map` | `createVMPrerequisite(TemplateVMConfig templateVMConfig)`
`VirtualMachine` | `deploy(DeployVmConfig conf)` Deploy a virtual machine
`void` | `detachCD(VirtualMachine virtualMachine)` Detach a CD from the virtual machine.
`void` | `detachDisk(VirtualDisk disk)` Detaches a disk from the virtual machine, preserving it physically.
`void` | `detachNIC(VirtualNetworkCard nic)` Detach a network interface card from a virutal machine.
`void` | `detachSharedVirtualDisk(VirtualMachine virtualMachine, SharedVirtualDisk sharedDisk)` Detaches a Shared Disk resource from a virtual machine.
`void` | `disableHA(VirtualMachine vm)` Disable virtual machine high availability
`void` | `enableHA(VirtualMachine vm)` Enable virtual machine high availability
`java.lang.String` | `getConsolePassword(VirtualMachine vm)` Get the console password of given virutal machine
`KeyboardLayout[]` | `getKeyboardLayoutArray()` Get all keyboard layout
`OVMGroup` | `getVMGroupByVMId(java.lang.Long vmId)` Get virtual machine group by virtual machine id.
`void` | `liveMigrate(VirtualMachine virtualMachine)` Live Migrates, a virtual machines to another virtual server (on the server pool)
`void` | `liveMigrate(VirtualMachine virtualMachine, VirtualServer virtualServer)` Live Migrates, a virtual machines to a specified server.
`void` | `liveMigrateAll(VirtualServer virtualServer)` Live Migrates all virtual machines being hosted on a virtual server, to other virtual servers (on the server pool)
`void` | `liveMigrateAll(VirtualServer srcServer, VirtualServer tgtServer)` Live Migrate all virtual machines from one server to the other server
`java.util.Map` | `liveMigrateAllPrerequisite(VirtualServer sourceServer)` Prerequiste of migrating all running VMs from sourceServer to other servers in the server pool.
`java.util.Map` | `liveMigratePrerequisite(VirtualMachine vm, VirtualServer targetServer)` Prerequiste of migrating a running VM to targetServer
`void` | `removeDisk(VirtualDisk disk)` Detaches a disk from the virtual machine, and removes it physically from the server pool.
`void` | `removeNIC(VirtualNetworkCard nic)` Removes an existing network interface card from the virtual machine.
`void` | `removeSharedDisk(VirtualMachine virtualMachine, SharedDiskResource disk)` Detaches a Shared Disk resource from a virtual machine.
`VirtualMachine` | `resetStatus(VirtualMachine virtualMachine)` Reset the status of virtual machine to Error.
`void` | `setBootPriority(VirtualMachine virtualMachine, BootDevice val)` Sets the boot priority of the virtual machine (takes affect on next boot).
`void` | `setConsolePassword(VirtualMachine vm, java.lang.String password)` Set the console password of given virtual machine
`void` | `setCpuCores(VirtualMachine virtualMachine, java.lang.Integer val)` Sets the current number of virtual cpu cores available to the virtual machine.
`void` | `setDynamicMemory(VirtualMachine virtualMachine, java.lang.Integer val)` Sets the current memory value allocated to the virtual machine.
`void` | `setGuestCredential(VirtualMachine vm, java.lang.String username, java.lang.String password)` Change the guest credential.
`void` | `setMaximumMemory(VirtualMachine virtualMachine, java.lang.Integer val)` Sets the maximum memory value, that the virtual machine can be allocated.
`void` | `setNetworkInsideGuest(VirtualNetworkCard[] networks)` Change the network configuration inside the virtual machine
`void` | `setOperatingSystem(VirtualMachine vm, OperatingSystem os)` Set operating system
`void` | `setPreferredServers(VirtualMachine virtualMachine, VirtualServer[] preferredServers)` Set preferred servers
`void` | `setVMConfigParam(java.lang.Long vmId, java.lang.String paramKey, java.lang.String paramValue)` Set parameter's key and value for vm.cfg
`void` | `setVMConfigParam(java.lang.String ipAddress, java.lang.String vmPath, java.lang.String paramKey, java.lang.String paramValue)` Deprecated.
`void` | `setVMDescription(VirtualMachine virtualMachine, java.lang.String val)` Sets the virtual machine description.
`void` | `setVMKeyboardLayout(java.lang.Long vmId, KeyboardLayout keyboardLayout)` configuration Virtual Machine keyboard layout

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LifecycleManagementImpl

    public LifecycleManagementImpl()

Method Detail

### createVMPrerequisite

    public java.util.Map createVMPrerequisite(PXEVMConfig pxeVMConfig)

  Specified by:
    `createVMPrerequisite` in interface `LifecycleManagement`

### createVM

    public VirtualMachine createVM(PXEVMConfig pxeVMConfig)
                            throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Creates a new virtual machine (configured to use PXE boot mechanism) on the server pool.
  Specified by:
    `createVM` in interface `LifecycleManagement`
  Parameters:
    `pxeVMConfig` -
  Returns:
    VirtualMachine
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createVmBasedOnPXE

    public VirtualMachine createVmBasedOnPXE(PXEVMConfig pxeVMConfig)
                                      throws oracle.ovs.biz.exception.OVSException

  Creates a new virtual machine (configured to use PXE boot mechanism) on the server pool.
  Specified by:
    `createVmBasedOnPXE` in interface `LifecycleManagement`
  Parameters:
    `pxeVMConfig` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createVMPrerequisite

    public java.util.Map createVMPrerequisite(TemplateVMConfig templateVMConfig)
                                       throws oracle.ovs.biz.exception.OVSException

  Specified by:
    `createVMPrerequisite` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createVM

    public VirtualMachine createVM(TemplateVMConfig templateVMConfig)
                            throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Creates a new virtual machine, using an available Oracle VM Template resource on the server pool. will replaced by createvmBasedOnTemplate
  Specified by:
    `createVM` in interface `LifecycleManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createVmBasedOnTemplate

    public VirtualMachine createVmBasedOnTemplate(TemplateVmConfig templateVMConfig)
                                           throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Creates a new virtual machine, using an available Oracle VM Template resource on the server pool. replace createVM(TemplateVMConfig templateVMConfig)
  Specified by:
    `createVmBasedOnTemplate` in interface `LifecycleManagement`
  Returns:
    VirtualMachine
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createVMPrerequisite

    public java.util.Map createVMPrerequisite(ISOVMConfig conf)
                                       throws oracle.ovs.biz.exception.OVSException

  Specified by:
    `createVMPrerequisite` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createVM

    public VirtualMachine createVM(ISOVMConfig conf)
                            throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Creates a new virtual machine, using an available ISO Images resource on the server pool. replaced by CreateVMBasedOnISO
  Specified by:
    `createVM` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createVmBasedOnISO

    public VirtualMachine createVmBasedOnISO(ISOVmConfig conf)
                                      throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Creates a new virtual machine, using an available ISO Images resource on the server pool. replace createVM(ISOVMConfig isoVMConfig)
  Specified by:
    `createVmBasedOnISO` in interface `LifecycleManagement`
  Returns:
    VirtualMachine
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### clonePrerequisite

    public java.util.Map clonePrerequisite(CloneVmConfig conf)
                                    throws oracle.ovs.biz.exception.OVSException

  Specified by:
    `clonePrerequisite` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### clone

    public VirtualMachine clone(CloneVmConfig conf)
                         throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Clone a virutal machine, using an available virtual machine on the server pool.
  Specified by:
    `clone` in interface `LifecycleManagement`
  Returns:
    VirtualMachine
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deploy

    public VirtualMachine deploy(DeployVmConfig conf)
                          throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Deploy a virtual machine
  Specified by:
    `deploy` in interface `LifecycleManagement`
  Returns:
    VirtualMachine
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### liveMigrateAllPrerequisite

    public java.util.Map liveMigrateAllPrerequisite(VirtualServer sourceServer)
                                             throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Prerequiste of migrating all running VMs from sourceServer to other servers in the server pool.
  Specified by:
    `liveMigrateAllPrerequisite` in interface `LifecycleManagement`
  Returns:
    Map
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### liveMigratePrerequisite

    public java.util.Map liveMigratePrerequisite(VirtualMachine vm,
                                                 VirtualServer targetServer)
                                          throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Prerequiste of migrating a running VM to targetServer
  Specified by:
    `liveMigratePrerequisite` in interface `LifecycleManagement`
  Returns:
    Map
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### liveMigrate

    public void liveMigrate(VirtualMachine virtualMachine)
                     throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Live Migrates, a virtual machines to another virtual server (on the server pool)
  Specified by:
    `liveMigrate` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### liveMigrate

    public void liveMigrate(VirtualMachine virtualMachine,
                            VirtualServer virtualServer)
                     throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Live Migrates, a virtual machines to a specified server.
  Specified by:
    `liveMigrate` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### liveMigrateAll

    public void liveMigrateAll(VirtualServer virtualServer)
                        throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Live Migrates all virtual machines being hosted on a virtual server, to other virtual servers (on the server pool)
  Specified by:
    `liveMigrateAll` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### liveMigrateAll

    public void liveMigrateAll(VirtualServer srcServer,
                               VirtualServer tgtServer)
                        throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Live Migrate all virtual machines from one server to the other server
  Specified by:
    `liveMigrateAll` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setVMDescription

    public void setVMDescription(VirtualMachine virtualMachine,
                                 java.lang.String val)
                          throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Sets the virtual machine description.
  Specified by:
    `setVMDescription` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setConsolePassword

    public void setConsolePassword(VirtualMachine vm,
                                   java.lang.String password)
                            throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Set the console password of given virtual machine
  Specified by:
    `setConsolePassword` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getConsolePassword

    public java.lang.String getConsolePassword(VirtualMachine vm)
                                        throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Get the console password of given virutal machine
  Specified by:
    `getConsolePassword` in interface `LifecycleManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setBootPriority

    public void setBootPriority(VirtualMachine virtualMachine,
                                BootDevice val)
                         throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Sets the boot priority of the virtual machine (takes affect on next boot).
  Specified by:
    `setBootPriority` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setCpuCores

    public void setCpuCores(VirtualMachine virtualMachine,
                            java.lang.Integer val)
                     throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Sets the current number of virtual cpu cores available to the virtual machine.
  Specified by:
    `setCpuCores` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setDynamicMemory

    public void setDynamicMemory(VirtualMachine virtualMachine,
                                 java.lang.Integer val)
                          throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Sets the current memory value allocated to the virtual machine.
  Specified by:
    `setDynamicMemory` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setMaximumMemory

    public void setMaximumMemory(VirtualMachine virtualMachine,
                                 java.lang.Integer val)
                          throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Sets the maximum memory value, that the virtual machine can be allocated.
  Specified by:
    `setMaximumMemory` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setGuestCredential

    public void setGuestCredential(VirtualMachine vm,
                                   java.lang.String username,
                                   java.lang.String password)
                            throws oracle.ovs.biz.exception.OVSException

  Change the guest credential.
  Specified by:
    `setGuestCredential` in interface `LifecycleManagement`
  Parameters:
    `vm` -
    `username` -
    `password` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`
  Since:
    Dec-24-2008

### resetStatus

    public VirtualMachine resetStatus(VirtualMachine virtualMachine)
                               throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Reset the status of virtual machine to Error. This API should be used very careful.
  Specified by:
    `resetStatus` in interface `LifecycleManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### attachCD

    public void attachCD(VirtualMachine virtualMachine,
                         CDConfig cdConfig)
                  throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Attach a CD to the virtual machine. replaced by attachCDtoVM
  Specified by:
    `attachCD` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### attachCDtoVM

    public void attachCDtoVM(VirtualMachine virtualMachine,
                             CdConfig cdConfig)
                      throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Attach a CD to the virtual machine. replace attachCD(VirtualMachine virtualMachine, CDConfig cdConfig)
  Specified by:
    `attachCDtoVM` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### detachCD

    public void detachCD(VirtualMachine virtualMachine)
                  throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Detach a CD from the virtual machine.
  Specified by:
    `detachCD` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### enableHA

    public void enableHA(VirtualMachine vm)
                  throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Enable virtual machine high availability
  Specified by:
    `enableHA` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### disableHA

    public void disableHA(VirtualMachine vm)
                   throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Disable virtual machine high availability
  Specified by:
    `disableHA` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### addNIC

    public VirtualNetworkCard addNIC(VirtualMachine virtualMachine,
                                     NICConfig nicConfig)
                              throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Adds a new network interface card to the virtual machine.
  Specified by:
    `addNIC` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### configNIC

    public void configNIC(java.lang.Long imgId,
                          VirtualNetworkCard nic)
                   throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Edit a network interface card in the virtual machine. For now, only can edit the name, bridge,qos,rate limit
  Specified by:
    `configNIC` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### detachNIC

    public void detachNIC(VirtualNetworkCard nic)
                   throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Detach a network interface card from a virutal machine.
  Specified by:
    `detachNIC` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### attachNIC

    public void attachNIC(VirtualNetworkCard nic)
                   throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Attach a network interface card to a virtual machine
  Specified by:
    `attachNIC` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### removeNIC

    public void removeNIC(VirtualNetworkCard nic)
                   throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Removes an existing network interface card from the virtual machine.
  Specified by:
    `removeNIC` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### changeNetworkType

    public void changeNetworkType(VirtualMachine vm,
                                  NetworkType type)
                           throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Change the network type inside the virtual machine
  Specified by:
    `changeNetworkType` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setNetworkInsideGuest

    public void setNetworkInsideGuest(VirtualNetworkCard[] networks)
                               throws oracle.ovs.biz.exception.OVSException

  Change the network configuration inside the virtual machine
  Specified by:
    `setNetworkInsideGuest` in interface `LifecycleManagement`
  Parameters:
    `networks` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`
  Since:
    Dec-24-2008

### addDisk

    public VirtualDisk addDisk(VirtualMachine virtualMachine,
                               DiskConfig diskConfig)
                        throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Creates a new disk image on the server pool, and attaches it to the virtual machine.
  Specified by:
    `addDisk` in interface `LifecycleManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### attachDisk

    public void attachDisk(VirtualDisk disk)
                    throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Attaches a disk (previuosly detached) to the virtual machine.
  Specified by:
    `attachDisk` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### attachDisk

    public void attachDisk(VirtualDisk disk,
                           HardDriveType type,
                           java.lang.String frontEndName)
                    throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Attaches a disk to the virtual machine
  Specified by:
    `attachDisk` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### attachDisk

    public void attachDisk(VirtualDisk disk,
                           HardDriveType type,
                           java.lang.String frontEndName,
                           DiskMode mode)
                    throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Attaches a disk to a virutal machine
  Specified by:
    `attachDisk` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### removeDisk

    public void removeDisk(VirtualDisk disk)
                    throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Detaches a disk from the virtual machine, and removes it physically from the server pool.
  Specified by:
    `removeDisk` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### detachDisk

    public void detachDisk(VirtualDisk disk)
                    throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Detaches a disk from the virtual machine, preserving it physically.
  Specified by:
    `detachDisk` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### addSharedDisk

    public void addSharedDisk(VirtualMachine virtualMachine,
                              SharedDiskResource disk)
                       throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Attaches a Shared Disk resource available on the server pool.
  Specified by:
    `addSharedDisk` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### attachSharedVirtualDisk

    public void attachSharedVirtualDisk(VirtualMachine virtualMachine,
                                        SharedVirtualDisk sharedDisk)
                                 throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Attaches a Shared Disk resource available on the server pool.
  Specified by:
    `attachSharedVirtualDisk` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### addSharedDisk

    public void addSharedDisk(VirtualMachine virtualMachine,
                              SharedDiskResource disk,
                              HardDriveType type,
                              java.lang.String frontEndName)
                       throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Attaches a Shared Disk resource which is available on the server pool.
  Specified by:
    `addSharedDisk` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### attachSharedVirtualDisk

    public void attachSharedVirtualDisk(VirtualMachine virtualMachine,
                                        SharedVirtualDisk disk,
                                        HardDriveType type,
                                        java.lang.String frontEndName)
                                 throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Attaches a Shared Disk resource which is available on the server pool.
  Specified by:
    `attachSharedVirtualDisk` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### addSharedDisk

    public void addSharedDisk(VirtualMachine virtualMachine,
                              SharedDiskResource disk,
                              HardDriveType type,
                              java.lang.String frontEndName,
                              DiskMode mode)
                       throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Attaches a Shared Disk resource to a virutal machine
  Specified by:
    `addSharedDisk` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### attachSharedVirtualDisk

    public void attachSharedVirtualDisk(VirtualMachine virtualMachine,
                                        SharedVirtualDisk disk,
                                        HardDriveType type,
                                        java.lang.String frontEndName,
                                        DiskMode mode)
                                 throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Attaches a Shared Disk resource to a virutal machine
  Specified by:
    `attachSharedVirtualDisk` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### removeSharedDisk

    public void removeSharedDisk(VirtualMachine virtualMachine,
                                 SharedDiskResource disk)
                          throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Detaches a Shared Disk resource from a virtual machine. *
  Specified by:
    `removeSharedDisk` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### detachSharedVirtualDisk

    public void detachSharedVirtualDisk(VirtualMachine virtualMachine,
                                        SharedVirtualDisk sharedDisk)
                                 throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Detaches a Shared Disk resource from a virtual machine.
  Specified by:
    `detachSharedVirtualDisk` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setPreferredServers

    public void setPreferredServers(VirtualMachine virtualMachine,
                                    VirtualServer[] preferredServers)
                             throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Set preferred servers
  Specified by:
    `setPreferredServers` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setOperatingSystem

    public void setOperatingSystem(VirtualMachine vm,
                                   OperatingSystem os)
                            throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Set operating system
  Specified by:
    `setOperatingSystem` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setVMConfigParam

    public void setVMConfigParam(java.lang.String ipAddress,
                                 java.lang.String vmPath,
                                 java.lang.String paramKey,
                                 java.lang.String paramValue)
                          throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `LifecycleManagement`
  Set parameter's key and value for vm.cfg
  Specified by:
    `setVMConfigParam` in interface `LifecycleManagement`
  Parameters:
    `ipAddress` -
    `vmPath` -
    `paramKey` -
    `paramValue` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setVMConfigParam

    public void setVMConfigParam(java.lang.Long vmId,
                                 java.lang.String paramKey,
                                 java.lang.String paramValue)
                          throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Set parameter's key and value for vm.cfg
  Specified by:
    `setVMConfigParam` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getKeyboardLayoutArray

    public KeyboardLayout[] getKeyboardLayoutArray()
                                            throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Get all keyboard layout
  Specified by:
    `getKeyboardLayoutArray` in interface `LifecycleManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getVMGroupByVMId

    public OVMGroup getVMGroupByVMId(java.lang.Long vmId)
                              throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  Get virtual machine group by virtual machine id.
  Specified by:
    `getVMGroupByVMId` in interface `LifecycleManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setVMKeyboardLayout

    public void setVMKeyboardLayout(java.lang.Long vmId,
                                    KeyboardLayout keyboardLayout)
                             throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `LifecycleManagement`
  configuration Virtual Machine keyboard layout
  Specified by:
    `setVMKeyboardLayout` in interface `LifecycleManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.